#ignore temp files
*~

#ignore pdf files (just keep source files)
*.pdf

#ignore Mac OS generated files
.DS_Store

#ignore code editor generated directories
.idea
.vscode

#ignore junk files from latex output
*.out
*.log
*.aux
*.dvi
*.ps
*minted*

#ignore junk files from compiling C code
*.o

#ignore other junk files
*.backup
*.kate-swp
*.swp
*.snm
*.vrb
*.nav
*.toc

#ignore files from CLion/VSCode IDEs
.idea
.vscode